Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 448142 - sci-electronics/eagle-6.4.0 - Version bump.
Summary: sci-electronics/eagle-6.4.0 - Version bump.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Christian Ruppert (idl0r)
URL: http://www.cadsoftusa.com/download-ea...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-22 00:47 UTC by Bartosz Brachaczek
Modified: 2013-12-19 20:15 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Updated ebuild for Cadsoft Eagle 6.4.0 (eagle-6.4.0.ebuild,2.89 KB, text/plain)
2013-01-16 15:31 UTC, Brian McCarter
Details
ebuild for eagle-6.5.0, with abi dependencies (eagle-6.5.0.ebuild,3.18 KB, text/plain)
2013-09-27 19:22 UTC, Nuno Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz Brachaczek 2012-12-22 00:47:21 UTC
EAGLE 6.3.0 is available. libpng and libjpeg are statically linked into the executable.
Comment 1 Brian McCarter 2013-01-16 15:31:22 UTC
Created attachment 335830 [details]
Updated ebuild for Cadsoft Eagle 6.4.0

This ebuild was copied from sci-electronics/eagle-6.2.0 with a minor change to get the desktop icon to show up.  Works for me on amd64.
Comment 2 Alan Hourihane 2013-04-26 17:41:35 UTC
ping. any news on this ?
Comment 3 Pacho Ramos gentoo-dev 2013-05-03 08:10:46 UTC
Looks like no maintainer has enough time for this, would you be willing to proxy maintain this package?
http://www.gentoo.org/proj/en/qa/proxy-maintainers/
Comment 4 Alan Hourihane 2013-07-22 13:59:14 UTC
Any chance soon ?
Comment 5 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-07-22 14:28:07 UTC
(In reply to Alan Hourihane from comment #4)
> Any chance soon ?

No idea.

This package has no maintainer so this bug may go unnoticed for a long time.
Gentoo has a dedicated team[1] for assisting users in maintaining orphaned
packages. If you are interested in maintaining this package, please contact
proxy-maint@gentoo.org. 

[1]: http://www.gentoo.org/proj/en/qa/proxy-maintainers/index.xml
Comment 6 Nuno Silva 2013-09-27 19:22:29 UTC
Created attachment 359642 [details]
ebuild for eagle-6.5.0, with abi dependencies

When diffing the ebuild here with the one from the tree, one difference was in the dependency list. At first sight, it looks like the idea of the code in the tree is to adapt the dependencies to the new multilib(?) system. But I'd, of course, prefer if someone else could confirm this.
Comment 7 Oldrich Jedlicka 2013-10-13 20:02:27 UTC
There is new version of Eagle available - 6.5.0.
Comment 8 Nuno Silva 2013-10-19 21:32:18 UTC
Comment on attachment 359642 [details]
ebuild for eagle-6.5.0, with abi dependencies

The same ebuild seems to be able to install 6.5.0 here. But, on the first run, it said 6.5.1 was available (I was not able to install it, it seems the binary is not at the expected location).
Comment 9 Kalin KOZHUHAROV 2013-10-21 13:51:18 UTC
Hmm, I am again reinventing the wheel...

Spent some time fiddling with compiling libpng14 with ABI_x86=32 to use eagle-6.2.0, then found out there is eagle-6.5.0 out so made ebuild. About to submit revbump request and found this bug.

In case someone needs it, eagle-6.5.0 is in my pkalin overlay https://github.com/thinrope/pkalin/

So far it seems to work fine (as freeware) on amd64.
Comment 10 Malte E. 2013-11-17 21:15:27 UTC
I can confirm, eagle-6.5.0 works just fine here, without libpng14 (I had that problem with 6.2, too). I used the 6.2.1_beta1 ebuild and simply renamed it. No problem. Please bump this and you can remove the (broken) 6.2.0 ebuild from the tree.
Comment 11 Oldrich Jedlicka 2013-11-18 08:04:47 UTC
I am using the 6.5.0 ebuild from pkalin overlay and it works for me on x86 (32bit). I have not tried much from the application yet, though. The application started with no problems and I was able to add components from the library and edit them.
Comment 12 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2013-12-19 20:14:50 UTC
6.5.0 has just been added. Thanks guys!